post
https://services.azuga.com/azuga-ws-oauth/v3/maintanance/add
This API allows the user to create a maintenance reminder in your account
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
{
"alertName": "Standard Maintenance Alert 1",
"cc": "[email protected]",
"emailAdmin": true,
"emailDriver": true,
"ruleSets": [
{
"name": "Engine/Drive Belt Replacement",
"baseTimeStr": "01-25-2023 12:00AM",
"operationType": 0,
"ruleConditions": [
{
"enable": true,
"baseValue": "0",
"conditionType": 2,
"requiredValue": "600"
},
{
"baseValue": "0",
"conditionType": 0,
"requiredValue": "8046",
"enable": true
},
{
"baseValue": "01-25-2023 12:00AM",
"conditionType": 1,
"requiredValue": "90",
"enable": true
}
]
}
],
"alertReminders": [
{
"days": 7,
"miles": 500,
"engineHours": 100,
"thresholdExceed": false,
"followup": false,
"followupDays": 7,
"alertsSentCount": 0,
"lastAlertSent": null
}
],
"alertTimeConfigs": null,
"alertType": {
"alertTypeId": 11
},
"groups": [],
"mode": 1,
"muted": false,
"parameters": [],
"users": [
{
"userId": "13be0f82-ef6f-11e6-bcd0-d91fc69a96d6"
},
{
"userId": "16cc29b8-6291-11ea-ab86-3133e925bbcd"
}
],
"alertToTrackeeMapping": [
{
"vehicleId": "8ae8f060-e02b-11ec-b6c5-776e17fde1e0"
}
]
}API Response explanation
| Field | Description | Data Type |
|---|---|---|
| generatedAtInMillis | Event performed timestamp in UTC milliseconds | String |
| data | Object representing the meta-data of the maintenance reminder | |
| alertId | Unique identifier representing the alert | String |
| customerId | Unique identifier representing the customer | Long |
| alertType | Object representing the meta data of the alert type | AlertTypeVO |
| alertTypeId | Unique identifier representing the alert type | int |
| name | Name of the alert | String |
| description | Description of the alert | String |
| tableName | For Azuga internal use | String |
| batchMessageTemplateKey | For Azuga internal use | String |
| messageTemplateKey | For Azuga internal use | String |
| createdAt | For Azuga internal use | Timestamp |
| deletedAt | For Azuga internal use | Timestamp |
| deleted | For Azuga internal use | boolean |
| eventTypeId | For Azuga internal use | Integer |
| propertyKey | For Azuga internal use | String |
| alertSubjectKey | For Azuga internal use | String |
| dataSource | For Azuga internal use | String |
| messageTemplate | For Azuga internal use | String |
| packageId | For Azuga internal use | int |
| cc | Email addresses added in CC | String |
| mode | Frequency of the alert email. 1 - Indicates that the alert is triggered instantly 2 - Indicates that the alert is triggered as a summary alert. | Integer |
| messageTemplate | For Azuga internal use | String |
| alertName | Name of the maintenance reminder alert | String |
| createdAt | Created time of the maintenance reminder alert in UTC milliseconds | Timestamp |
| createdBy | Unique identifier of the user who created the maintenance reminder alert. | String |
| modifiedBy | Unique identifier of the user who modified the maintenance reminder alert last. | String |
| parameters | For Azuga internal use | List<AlertKeyValueMappingVO> |
| groups | For Azuga internal use | Set<AlertToGroupMappingVO> |
| users | Object representing the meta data of the users | Set<AlertToUserIdMappingForMailVO> |
| alertToUserIdMappingForMailId | For Azuga internal use | String |
| userId | Unique identifier of the user | String |
| createdBy | Unique identifier of the user who created the user | String |
| createdAt | Created time of the user in UTC milliseconds | Timestamp |
| modifiedBy | Unique identifier of the user who modified the user last | String |
| modifiedAt | Modified time of the user in UTC milliseconds | Timestamp |
| deleted | Boolean representing the active state of the user True = Not Active False = Active | boolean |
| deletedAt | Deleted time of the user in UTC milliseconds | Timestamp |
| deleted | Boolean representing the active state of the reminder alert True = Not Active False = Active | boolean |
| muted | Boolean representing the mute state of the alert True = Alert muted False = Alert isn't muted | boolean |
| ruleSets | Object representing the meta data of the rule condition | Set<RuleSetVO> |
| ruleSetId | Unique identifier representing the rule set | String |
| name | Name of the maintenance | String |
| operationType | For Internal Azuga use | Integer |
| baseTime | Last service date in UTC milliseconds | Timestamp |
| baseTimeStr | Last service date of the vehicle in MM-dd-yyyy hh:mmXM format. | String |
| ruleConditions | Object representing the meta data of the rule conditions | Set<RuleConditionVO> |
| ruleConditionId | Unique identifier of the rule condition | String |
| name | For Internal Azuga use | String |
| baseValue | Last updated time in GMT | String |
| requiredValue | Value of the service maintenance based on the type of service | String |
| conditionType | Unique identifier representing the condition type. 0 - Mileage in KMs | Integer |
| reminderFired | For Azuga internal use | boolean |
| alertFired | For Azuga internal use | boolean |
| createdAt | Created time of the service reminder in UTC milliseconds | Timestamp |
| enable | Boolean representing the active state of the rule condition True = Active False = Not Active | boolean |
| overdueStatus | Overdue status of the maintenance reminder 1 = Upcoming 2 = Overdue | int |
| vehicleId | The unique identifier of the vehicle for which the reminder is configured | String |
| vehicleName | Name of the vehicle for which the reminder is configured | String |
| alertId | Unique identifier of the maintenance reminder | String |
| alertName | Name of the maintenance reminder | String |
| deleted | Deleted state of the rule set True = Deleted False = Not Deleted | boolean |
| deletedAt | Deleted time in UTC milliseconds | Timestamp |
| milesDriven | Miles driven by the vehicle | Double |
| engineRunTime | Engine run time of the vehicle | Long |
| odoSupportedMilesDriven | The odometer data from the vehicle in Kms | Double |
| alertReminders | Object representing the meta data of the alert reminder | Set<AlertReminderVO> |
| alertReminderId | Unique identifier representing the alert reminder | String |
| days | The reminder alert to be triggered before this day from the scheduled service time. | Long |
| miles | The reminder alert to be triggered before this mile from the scheduled next service mileage | Double |
| engineHours | The reminder alert to be triggered before this hour from the scheduled next engine run time | Long |
| thresholdExceed | For Azuga internal use | Boolean |
| createdAt | Created time of the reminder in UTC milliseconds | Timestamp |
| updatedAt | Updated time of the reminder in UTC milliseconds | Timestamp |
| followup | For Azuga internal use | boolean |
| followupDays | For Azuga internal use | int |
| alertsSentCount | For Azuga internal use | int |
| lastAlertSent | For Azuga internal use | Timestamp |
| deleted | Deleted state of the alert reminder True = Deleted False = Not Deleted | boolean |
| deletedAt | Deleted time of the alert reminder in UTC milliseconds | Timestamp |
| vehicles | Object representing the vehicle details | Set<AlertToTrackeeMappingVO> |
| alertId | For Internal Azuga use | String |
| vehicleId | Unique identifier representing the vehicle | String |
| createdAt | Created time of the vehicle in UTC milliseconds | Timestamp |
| name | Name of the vehicle | String |
| alertToTrackeeMappingId | For Internal Azuga use | byte[] |
| assetSensors | For Internal Azuga use | Set<TemperatureSensorDTO> |
| defaultAlert | For Internal Azuga use | boolean |
| groupAlert | For Internal Azuga use | boolean |
| alertTimeConfigs | For Internal Azuga use | Set<AlertTimeConfig> |
| alertToDeviceMapping | For Internal Azuga use | Set<AlertToDeviceMappingVO> |
| smsNotification | For Internal Azuga use | boolean |
| emailNotification | For Internal Azuga use | boolean |
| webNotification | For Internal Azuga use | boolean |
| mobileNotification | For Internal Azuga use | boolean |
| soundNotification | For Internal Azuga use | boolean |
| soundId | For Internal Azuga use | Integer |
| emailAdmin | Boolean representing whether the email is triggering to the admin True = Reminder email is sending to admin False = Reminder email isn't sending to admin | boolean |
| emailDriver | Boolean representing whether the email is triggering to the driver True = Reminder email is sending to driver False = Reminder email isn't sending to driver | boolean |
| reportFilter | For Internal Azuga use | String |
| roleIds | For Internal Azuga use | String |
| roleIdNames | For Internal Azuga use | String |
| alertToAssetSensorMapping | For Internal Azuga use | Set<AlertToAssetSensorMappingDTO> |
| customAlertHours | For Internal Azuga use | Integer |
| timeForSummary | For Internal Azuga use | String |
| startTimeForSummary | For Internal Azuga use | String |
| buzzerIntensity | For Internal Azuga use | Integer |
| error | Error description - if any | List<Error> |

